Package com.xebialabs.xlrelease.api.v1.forms

## Class CreateDelivery

- java.lang.Object
- - com.xebialabs.xlrelease.api.v1.forms.CreateDelivery

- All Implemented Interfaces:
    `java.io.Serializable`

      public class CreateDelivery
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.util.Date` | `endDate` |
    `protected java.util.Date` | `startDate` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CreateDelivery()` |
    `CreateDelivery​(java.lang.String title)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `int` | `getDuration()` |
    `java.util.Date` | `getEndDate()` |
    `java.lang.String` | `getFolderId()` |
    `java.util.Date` | `getStartDate()` |
    `java.lang.String` | `getTitle()` |
    `boolean` | `isAutoComplete()` |
    `void` | `setAutoComplete​(boolean autoComplete)` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setDuration​(int duration)` |
    `void` | `setEndDate​(java.util.Date endDate)` |
    `void` | `setFolderId​(java.lang.String folderId)` |
    `void` | `setStartDate​(java.util.Date startDate)` |
    `void` | `setTitle​(java.lang.String title)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### startDate

          protected java.util.Date startDate

    - #### endDate

          protected java.util.Date endDate

  - ### Constructor Detail

    - #### CreateDelivery

          public CreateDelivery()

    - #### CreateDelivery

          public CreateDelivery​(java.lang.String title)

  - ### Method Detail

    - #### getFolderId

          public java.lang.String getFolderId()

    - #### setFolderId

          public void setFolderId​(java.lang.String folderId)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle​(java.lang.String title)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getDuration

          public int getDuration()

    - #### setDuration

          public void setDuration​(int duration)

    - #### getStartDate

          public java.util.Date getStartDate()

    - #### setStartDate

          public void setStartDate​(java.util.Date startDate)

    - #### getEndDate

          public java.util.Date getEndDate()

    - #### setEndDate

          public void setEndDate​(java.util.Date endDate)

    - #### isAutoComplete

          public boolean isAutoComplete()

    - #### setAutoComplete

          public void setAutoComplete​(boolean autoComplete)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`